Creates a new territory
Request Information
URI Parameters :
None.
Body Parameters :
sales_territory| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| description |
Description of the territory |
string |
Required |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
Sample:
{
"id": "aee7c39e-a997-46f6-a899-86781a1919f9",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "a711fe30-42be-4c49-b6f0-3d9b5821a2d6",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "10c601e0-8a7a-4782-bb32-65d52be80cfb",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "be90f31b-ea46-4691-9626-0ce97dd36978",
"db_currency_id": "72e823a4-8ca8-4579-9436-7aa8d15cec56",
"db_language_id": "d095d437-8cd0-495c-9702-6e9810e761e4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-02T10:15:01.2705278+00:00"
},
"modified_dateutc": "2026-11-02T10:15:01.2705278+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.